Package org.eclipse.core.databinding.beans

## Class PojoProperties

- java.lang.Object
- - org.eclipse.core.databinding.beans.PojoProperties

    public class PojoProperties
    extends Object

A factory for creating properties for POJOs (plain old java objects) that conform to idea of an object with getters and setters but does not provide `property change events` on change. This factory is identical to `BeanProperties` except for this fact.

Since:
  1.2

### Constructor Summary

Constructors
`PojoProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IBeanListProperty` `list​(Class beanClass, String propertyName)` Returns a list property for the given property name of the given bean class.
`static IBeanListProperty` `list​(Class beanClass, String propertyName, Class elementType)` Returns a list property for the given property name of the given bean class.
`static IBeanListProperty` `list​(String propertyName)` Returns a list property for the given property name of an arbitrary bean class.
`static IBeanListProperty` `list​(String propertyName, Class elementType)` Returns a list property for the given property name of an arbitrary bean class.
`static IBeanMapProperty` `map​(Class beanClass, String propertyName)` Returns a map property for the given property name of the given bean class.
`static IBeanMapProperty` `map​(Class beanClass, String propertyName, Class keyType, Class valueType)` Returns a map property for the given property name of the given bean class.
`static IBeanMapProperty` `map​(String propertyName)` Returns a map property for the given property name of an arbitrary bean class.
`static IBeanMapProperty` `map​(String propertyName, Class keyType, Class valueType)` Returns a map property for the given property name of an arbitrary bean class.
`static IBeanSetProperty` `set​(Class beanClass, String propertyName)` Returns a set property for the given property name of the given bean class.
`static IBeanSetProperty` `set​(Class beanClass, String propertyName, Class elementType)` Returns a set property for the given property name of the given bean class.
`static IBeanSetProperty` `set​(String propertyName)` Returns a set property for the given property name of an arbitrary bean class.
`static IBeanSetProperty` `set​(String propertyName, Class elementType)` Returns a set property for the given property name of an arbitrary bean class.
`static IBeanValueProperty` `value​(Class beanClass, String propertyName)` Returns a value property for the given property name of the given bean class.
`static IBeanValueProperty` `value​(Class beanClass, String propertyName, Class valueType)` Returns a value property for the given property name of the given bean class.
`static IBeanValueProperty` `value​(String propertyName)` Returns a value property for the given property name of an arbitrary bean class.
`static IBeanValueProperty` `value​(String propertyName, Class valueType)` Returns a value property for the given property name of an arbitrary bean class.
`static IBeanValueProperty[]` `values​(Class beanClass, String[] propertyNames)` Returns a value property array for the given property names of the given bean class.
`static IBeanValueProperty[]` `values​(String... propertyNames)` Returns a value property array for the given property names of an arbitrary bean class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoProperties

    public PojoProperties()

### Method Detail

#### value

    public static IBeanValueProperty value​(String propertyName)

Returns a value property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains null.

Parameters:
  `propertyName` - the property name. May be nested e.g. "parent.name"
Returns:
  a value property for the given property name of an arbitrary bean class.

#### value

    public static IBeanValueProperty value​(String propertyName,
                                           Class valueType)

Returns a value property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains null.

Parameters:
  `propertyName` - the property name. May be nested e.g. "parent.name"
  `valueType` - the value type of the returned value property
Returns:
  a value property for the given property name of an arbitrary bean class.

#### value

    public static IBeanValueProperty value​(Class beanClass,
                                           String propertyName)

Returns a value property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name. May be nested e.g. "parent.name"
Returns:
  a value property for the given property name of the given bean class.

#### value

    public static IBeanValueProperty value​(Class beanClass,
                                           String propertyName,
                                           Class valueType)

Returns a value property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name. May be nested e.g. "parent.name"
  `valueType` - the value type of the returned value property
Returns:
  a value property for the given property name of the given bean class.

#### values

    public static IBeanValueProperty[] values​(Class beanClass,
                                              String[] propertyNames)

Returns a value property array for the given property names of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyNames` - array of property names. May be nested e.g. "parent.name"
Returns:
  a value property array for the given property names of the given bean class.

#### values

    public static IBeanValueProperty[] values​(String... propertyNames)

Returns a value property array for the given property names of an arbitrary bean class.

Parameters:
  `propertyNames` - array of property names. May be nested e.g. "parent.name"
Returns:
  a value property array for the given property names of the given bean class.

#### set

    public static IBeanSetProperty set​(String propertyName)

Returns a set property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty set.

Parameters:
  `propertyName` - the property name
Returns:
  a set property for the given property name of an arbitrary bean class.

#### set

    public static IBeanSetProperty set​(String propertyName,
                                       Class elementType)

Returns a set property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty set.

Parameters:
  `propertyName` - the property name
  `elementType` - the element type of the returned set property
Returns:
  a set property for the given property name of an arbitrary bean class.

#### set

    public static IBeanSetProperty set​(Class beanClass,
                                       String propertyName)

Returns a set property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
Returns:
  a set property for the given property name of the given bean class.

#### set

    public static IBeanSetProperty set​(Class beanClass,
                                       String propertyName,
                                       Class elementType)

Returns a set property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
  `elementType` - the element type of the returned set property
Returns:
  a set property for the given property name of the given bean class.

#### list

    public static IBeanListProperty list​(String propertyName)

Returns a list property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty list.

Parameters:
  `propertyName` - the property name
Returns:
  a list property for the given property name of an arbitrary bean class.

#### list

    public static IBeanListProperty list​(String propertyName,
                                         Class elementType)

Returns a list property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty list.

Parameters:
  `propertyName` - the property name
  `elementType` - the element type of the returned list property
Returns:
  a list property for the given property name of the given bean class.

#### list

    public static IBeanListProperty list​(Class beanClass,
                                         String propertyName)

Returns a list property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
Returns:
  a list property for the given property name of the given bean class.

#### list

    public static IBeanListProperty list​(Class beanClass,
                                         String propertyName,
                                         Class elementType)

Returns a list property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
  `elementType` - the element type of the returned list property
Returns:
  a list property for the given property name of the given bean class.

#### map

    public static IBeanMapProperty map​(String propertyName)

Returns a map property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty map.

Parameters:
  `propertyName` - the property name
Returns:
  a map property for the given property name of an arbitrary bean class.

#### map

    public static IBeanMapProperty map​(String propertyName,
                                       Class keyType,
                                       Class valueType)

Returns a map property for the given property name of an arbitrary bean class. Objects lacking the named property are treated the same as if the property always contains an empty map.

Parameters:
  `propertyName` - the property name
  `keyType` - the key type for the returned map property
  `valueType` - the value type for the returned map property
Returns:
  a map property for the given property name of an arbitrary bean class.

#### map

    public static IBeanMapProperty map​(Class beanClass,
                                       String propertyName)

Returns a map property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
Returns:
  a map property for the given property name of the given bean class.

#### map

    public static IBeanMapProperty map​(Class beanClass,
                                       String propertyName,
                                       Class keyType,
                                       Class valueType)

Returns a map property for the given property name of the given bean class.

Parameters:
  `beanClass` - the bean class
  `propertyName` - the property name
  `keyType` - the key type of the returned map property
  `valueType` - the value type of the returned map property
Returns:
  a map property for the given property name of the given bean class.